
const channelsID = require('../channels_conf.json');

const ADMIN_CHAN = channelsID.admin;

class CommandVoteParser{
    constructor(voteParser){
        this.voteParser = voteParser;
        this.command = "!complot score ";
    }

    parse(message){
        if(message.channelId === ADMIN_CHAN){
            const content = message.content.toLowerCase();
            if(content.startsWith(this.command)){
                const score = parseInt(content.slice(this.command.length));
                if(score > 0){
                    this.voteParser.setScore(score);
                    message.reply(`Fait, score à ${score}`);
                }
            }
        }
    }
}

module.exports = CommandVoteParser;